org.springframework.messaging.handler.invocation

## Class HandlerMethodReturnValueHandlerComposite

- java.lang.Object
- - org.springframework.messaging.handler.invocation.HandlerMethodReturnValueHandlerComposite

- All Implemented Interfaces:
    HandlerMethodReturnValueHandler

      public class HandlerMethodReturnValueHandlerComposite
      extends Object
      implements HandlerMethodReturnValueHandler

  Since:
    4.0
  Author:
    Rossen Stoyanchev

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HandlerMethodReturnValueHandlerComposite()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `HandlerMethodReturnValueHandlerComposite` | `addHandler(HandlerMethodReturnValueHandler returnValuehandler)` Add the given `HandlerMethodReturnValueHandler`.
    `HandlerMethodReturnValueHandlerComposite` | `addHandlers(List<? extends HandlerMethodReturnValueHandler> handlers)` Add the given `HandlerMethodReturnValueHandler`s.
    `void` | `clear()` Clear the list of configured handlers.
    `List<HandlerMethodReturnValueHandler>` | `getReturnValueHandlers()` Return a read-only list with the configured handlers.
    `void` | `handleReturnValue(Object returnValue, MethodParameter returnType, Message<?> message)` Handle the given return value.
    `boolean` | `supportsReturnType(MethodParameter returnType)` Whether the given method return type is supported by this handler.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HandlerMethodReturnValueHandlerComposite

          public HandlerMethodReturnValueHandlerComposite()

  - ### Method Detail

    - #### getReturnValueHandlers

          public List<HandlerMethodReturnValueHandler> getReturnValueHandlers()

      Return a read-only list with the configured handlers.

    - #### clear

          public void clear()

      Clear the list of configured handlers.

    - #### addHandler

          public HandlerMethodReturnValueHandlerComposite addHandler(HandlerMethodReturnValueHandler returnValuehandler)

      Add the given `HandlerMethodReturnValueHandler`.

    - #### addHandlers

          public HandlerMethodReturnValueHandlerComposite addHandlers(List<? extends HandlerMethodReturnValueHandler> handlers)

      Add the given `HandlerMethodReturnValueHandler`s.

    - #### supportsReturnType

          public boolean supportsReturnType(MethodParameter returnType)

      Description copied from interface: `HandlerMethodReturnValueHandler`
      Whether the given method return type is supported by this handler.
      Specified by:
        `supportsReturnType` in interface `HandlerMethodReturnValueHandler`
      Parameters:
        `returnType` - the method return type to check
      Returns:
        `true` if this handler supports the supplied return type; `false` otherwise

    - #### handleReturnValue

          public void handleReturnValue(Object returnValue,
                                        MethodParameter returnType,
                                        Message<?> message)
                                 throws Exception

      Description copied from interface: `HandlerMethodReturnValueHandler`
      Handle the given return value.
      Specified by:
        `handleReturnValue` in interface `HandlerMethodReturnValueHandler`
      Parameters:
        `returnValue` - the value returned from the handler method
        `returnType` - the type of the return value. This type must have previously been passed to `HandlerMethodReturnValueHandler.supportsReturnType(org.springframework.core.MethodParameter)` and it must have returned `true`
        `message` - the message that caused this method to be called
      Throws:
        `Exception` - if the return value handling results in an error